Zum Hauptinhalt springen
GET
/
automation
/
actions
/
2026-03
/
{appId}
/
{definitionId}
/
revisions
/
{revisionId}
Eine spezifische Revision einer Definition abrufen
curl --request GET \
  --url https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId}/revisions/{revisionId} \
  --header 'Authorization: Bearer <token>'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "definition": {
    "actionUrl": "<string>",
    "functions": [
      {
        "id": "<string>"
      }
    ],
    "id": "<string>",
    "inputFields": [
      {
        "isRequired": true,
        "typeDefinition": {
          "name": "<string>",
          "options": [
            {
              "label": "<string>",
              "value": "<string>",
              "description": "<string>",
              "displayOrder": 123
            }
          ],
          "description": "<string>",
          "helpText": "<string>",
          "label": "<string>",
          "optionsUrl": "<string>"
        },
        "supportedValueTypes": []
      }
    ],
    "labels": {},
    "objectTypes": [
      "<string>"
    ],
    "published": true,
    "revisionId": "<string>",
    "archivedAt": 123,
    "executionRules": [
      {
        "conditions": {},
        "labelName": "<string>"
      }
    ],
    "inputFieldDependencies": [
      {
        "controllingFieldName": "<string>",
        "dependencyType": "SINGLE_FIELD",
        "dependentFieldNames": [
          "<string>"
        ]
      }
    ],
    "objectRequestOptions": {
      "properties": [
        "<string>"
      ]
    },
    "outputFields": [
      {
        "typeDefinition": {
          "externalOptions": true,
          "name": "<string>",
          "options": [
            {
              "description": "<string>",
              "displayOrder": 123,
              "doubleData": 123,
              "hidden": true,
              "label": "<string>",
              "readOnly": true,
              "value": "<string>"
            }
          ],
          "schema": {
            "type": "INTEGER",
            "maximum": 123,
            "minimum": 123
          },
          "useChirp": true,
          "description": "<string>",
          "externalOptionsReferenceType": "<string>",
          "helpText": "<string>",
          "label": "<string>",
          "optionsUrl": "<string>"
        }
      }
    ]
  },
  "id": "<string>",
  "revisionId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

appId
integer<int32>
erforderlich
definitionId
string
erforderlich
revisionId
string
erforderlich

Antwort

successful operation

createdAt
string<date-time>
erforderlich

Der Zeitpunkt (Datum und Uhrzeit), zu dem die Aktionsrevision erstellt wurde.

definition
object
erforderlich
id
string
erforderlich

Die eindeutige ID für die Aktionsrevision.

revisionId
string
erforderlich

Die eindeutige ID für die spezifische Revision der Aktion.

Last modified on April 13, 2026